SourceGenerationRequest
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.environments
Class SourceGenerationRequest

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.environments.SourceGenerationRequest

    public class SourceGenerationRequest

extends DataModel

Field Summary
`static java.lang.String` | `COMBINE_MATCHING`
`static java.util.ArrayList<java.lang.String>` | `executionParametersNames`
`static java.lang.String` | `FIRST_HCAF_ID`
`static java.lang.String` | `FIRST_HCAF_TIME`
`static java.lang.String` | `FORCE_MAPS_REGENERATION`
`static java.lang.String` | `GENERATE_MAPS`
`static java.util.ArrayList<java.lang.String>` | `generationParametersNames`
`static java.lang.String` | `GIS_ENABLED`
`static java.lang.String` | `NUM_INTERPOLATIONS`
`static java.lang.String` | `SECOND_HCAF_ID`
`static java.lang.String` | `SECOND_HCAF_TIME`

Constructor Summary
`SourceGenerationRequest()` Deprecated.
`SourceGenerationRequest(HspecGroupGenerationRequestType request)`
`SourceGenerationRequest(java.util.List<Field> row)`
`SourceGenerationRequest(java.sql.ResultSet rs)`

Method Summary
`void` | `addParameter(Field f)`
`void` | `addReportId(java.lang.Integer id)`
`void` | `addSource(Resource toAdd)`
`java.util.ArrayList<AlgorithmType>` | `getAlgorithms()`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getBackendURL()`
`java.lang.Double` | `getCurrentphasepercent()`
`java.lang.String` | `getDescription()`
`java.lang.Long` | `getEndtime()`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getEnvironmentConfiguration()`
`java.lang.Integer` | `getEvaluatedComputationCount()`
`java.lang.String` | `getExecutionEnvironment()`
`java.util.ArrayList<Field>` | `getExecutionParameters()`
`Field` | `getField(SourceGenerationRequestFields fieldName)`
`java.util.ArrayList<java.lang.Integer>` | `getGeneratedSources()`
`java.lang.String` | `getGenerationname()`
`java.util.ArrayList<Field>` | `getGenerationParameters()`
`java.util.ArrayList<java.lang.Integer>` | `getHcafIds()`
`java.util.ArrayList<java.lang.Integer>` | `getHspenIds()`
`java.lang.String` | `getId()`
`java.util.ArrayList<java.lang.Integer>` | `getJobIds()`
`LogicType` | `getLogic()`
`java.lang.Integer` | `getNumPartitions()`
`java.util.ArrayList<java.lang.Integer>` | `getOccurrenceCellIds()`
`SourceGenerationPhase` | `getPhase()`
`java.util.ArrayList<java.lang.Integer>` | `getReportID()`
`java.lang.Long` | `getStarttime()`
`java.lang.String` | `getSubmissionBackend()`
`java.lang.Long` | `getSubmissiontime()`
`java.lang.Integer` | `getToGenerateTableCount()`
`static java.util.ArrayList<SourceGenerationRequest>` | `loadResultSet(java.sql.ResultSet rs)`
`void` | `removeReportId(java.lang.Integer id)`
`void` | `setAlgorithms(java.util.ArrayList<AlgorithmType> algorithms)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setBackendURL(java.lang.String backendURL)`
`void` | `setCurrentphasepercent(java.lang.Double currentphasepercent)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEndtime(java.lang.Long endtime)`
`void` | `setEnvironmentConfiguration(java.util.HashMap<java.lang.String,java.lang.String> environmentConfiguration)`
`void` | `setEvaluatedComputationCount(java.lang.Integer evaluatedComputationCount)`
`void` | `setExecutionEnvironment(java.lang.String executionEnvironment)`
`void` | `setExecutionParameters(java.util.ArrayList<Field> executionParameters)`
`boolean` | `setField(Field f)`
`void` | `setGeneratedSources(java.util.ArrayList<java.lang.Integer> generatedSources)`
`void` | `setGenerationname(java.lang.String generationname)`
`void` | `setGenerationParameters(java.util.ArrayList<Field> generationParameters)`
`void` | `setHcafIds(java.util.ArrayList<java.lang.Integer> hcafIds)`
`void` | `setHspenIds(java.util.ArrayList<java.lang.Integer> hspenIds)`
`void` | `setId(java.lang.String id)`
`void` | `setJobIds(java.util.ArrayList<java.lang.Integer> jobIds)`
`void` | `setLogic(LogicType logic)`
`void` | `setNumPartitions(java.lang.Integer numPartitions)`
`void` | `setOccurrenceCellIds(java.util.ArrayList<java.lang.Integer> occurrenceCellIds)`
`void` | `setPhase(SourceGenerationPhase phase)`
`void` | `setReportID(java.util.List<java.lang.Integer> reportID)`
`void` | `setStarttime(java.lang.Long starttime)`
`void` | `setSubmissionBackend(java.lang.String submissionBackend)`
`void` | `setSubmissiontime(java.lang.Long submissiontime)`
`void` | `setToGenerateTableCount(java.lang.Integer toGenerateTableCount)`
`java.util.List<Field>` | `toRow()`
`HspecGroupGenerationRequestType` | `toStubsVersion()`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST_HCAF_ID

    public static final java.lang.String FIRST_HCAF_ID

See Also:
  Constant Field Values

### SECOND_HCAF_ID

    public static final java.lang.String SECOND_HCAF_ID

See Also:
  Constant Field Values

### NUM_INTERPOLATIONS

    public static final java.lang.String NUM_INTERPOLATIONS

See Also:
  Constant Field Values

### FIRST_HCAF_TIME

    public static final java.lang.String FIRST_HCAF_TIME

See Also:
  Constant Field Values

### SECOND_HCAF_TIME

    public static final java.lang.String SECOND_HCAF_TIME

See Also:
  Constant Field Values

### COMBINE_MATCHING

    public static final java.lang.String COMBINE_MATCHING

See Also:
  Constant Field Values

### FORCE_MAPS_REGENERATION

    public static final java.lang.String FORCE_MAPS_REGENERATION

See Also:
  Constant Field Values

### GENERATE_MAPS

    public static final java.lang.String GENERATE_MAPS

See Also:
  Constant Field Values

### GIS_ENABLED

    public static final java.lang.String GIS_ENABLED

See Also:
  Constant Field Values

### generationParametersNames

    public static final java.util.ArrayList<java.lang.String> generationParametersNames

### executionParametersNames

    public static final java.util.ArrayList<java.lang.String> executionParametersNames

Constructor Detail

### SourceGenerationRequest

    public SourceGenerationRequest(java.sql.ResultSet rs)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

### SourceGenerationRequest

    public SourceGenerationRequest(java.util.List<Field> row)

### SourceGenerationRequest

    @Deprecated
    public SourceGenerationRequest()

  Deprecated.

### SourceGenerationRequest

    public SourceGenerationRequest(HspecGroupGenerationRequestType request)
                            throws JSONException

Throws:
  `JSONException`

Method Detail

### getGeneratedSources

    public java.util.ArrayList<java.lang.Integer> getGeneratedSources()

### setGeneratedSources

    public void setGeneratedSources(java.util.ArrayList<java.lang.Integer> generatedSources)

### getEndtime

    public java.lang.Long getEndtime()

### setEndtime

    public void setEndtime(java.lang.Long endtime)

### getStarttime

    public java.lang.Long getStarttime()

### setStarttime

    public void setStarttime(java.lang.Long starttime)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getGenerationname

    public java.lang.String getGenerationname()

### setGenerationname

    public void setGenerationname(java.lang.String generationname)

### getAlgorithms

    public java.util.ArrayList<AlgorithmType> getAlgorithms()

### setAlgorithms

    public void setAlgorithms(java.util.ArrayList<AlgorithmType> algorithms)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getPhase

    public SourceGenerationPhase getPhase()

### setPhase

    public void setPhase(SourceGenerationPhase phase)

### getSubmissiontime

    public java.lang.Long getSubmissiontime()

### setSubmissiontime

    public void setSubmissiontime(java.lang.Long submissiontime)

### getCurrentphasepercent

    public java.lang.Double getCurrentphasepercent()

### setCurrentphasepercent

    public void setCurrentphasepercent(java.lang.Double currentphasepercent)

### setEvaluatedComputationCount

    public void setEvaluatedComputationCount(java.lang.Integer evaluatedComputationCount)

### setToGenerateTableCount

    public void setToGenerateTableCount(java.lang.Integer toGenerateTableCount)

### getEvaluatedComputationCount

    public java.lang.Integer getEvaluatedComputationCount()

### getToGenerateTableCount

    public java.lang.Integer getToGenerateTableCount()

### addReportId

    public void addReportId(java.lang.Integer id)

### removeReportId

    public void removeReportId(java.lang.Integer id)

### loadResultSet

    public static java.util.ArrayList<SourceGenerationRequest> loadResultSet(java.sql.ResultSet rs)
                                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSubmissionBackend

    public java.lang.String getSubmissionBackend()

### setSubmissionBackend

    public void setSubmissionBackend(java.lang.String submissionBackend)

### getLogic

    public LogicType getLogic()

### setLogic

    public void setLogic(LogicType logic)

### setReportID

    public void setReportID(java.util.List<java.lang.Integer> reportID)

### getReportID

    public java.util.ArrayList<java.lang.Integer> getReportID()

### setJobIds

    public void setJobIds(java.util.ArrayList<java.lang.Integer> jobIds)

### getJobIds

    public java.util.ArrayList<java.lang.Integer> getJobIds()

### getNumPartitions

    public java.lang.Integer getNumPartitions()

### setNumPartitions

    public void setNumPartitions(java.lang.Integer numPartitions)

### getExecutionEnvironment

    public java.lang.String getExecutionEnvironment()

### setExecutionEnvironment

    public void setExecutionEnvironment(java.lang.String executionEnvironment)

### getBackendURL

    public java.lang.String getBackendURL()

### setBackendURL

    public void setBackendURL(java.lang.String backendURL)

### getEnvironmentConfiguration

    public java.util.HashMap<java.lang.String,java.lang.String> getEnvironmentConfiguration()

### setEnvironmentConfiguration

    public void setEnvironmentConfiguration(java.util.HashMap<java.lang.String,java.lang.String> environmentConfiguration)

### setField

    public boolean setField(Field f)
                     throws JSONException

  Throws:
    `JSONException`

### getField

    public Field getField(SourceGenerationRequestFields fieldName)
                   throws JSONException

  Throws:
    `JSONException`

### toRow

    public java.util.List<Field> toRow()
                                throws JSONException

  Throws:
    `JSONException`

### toStubsVersion

    public HspecGroupGenerationRequestType toStubsVersion()
                                                   throws JSONException

  Throws:
    `JSONException`

### getHcafIds

    public java.util.ArrayList<java.lang.Integer> getHcafIds()

### getHspenIds

    public java.util.ArrayList<java.lang.Integer> getHspenIds()

### getOccurrenceCellIds

    public java.util.ArrayList<java.lang.Integer> getOccurrenceCellIds()

### setHcafIds

    public void setHcafIds(java.util.ArrayList<java.lang.Integer> hcafIds)

### setHspenIds

    public void setHspenIds(java.util.ArrayList<java.lang.Integer> hspenIds)

### setOccurrenceCellIds

    public void setOccurrenceCellIds(java.util.ArrayList<java.lang.Integer> occurrenceCellIds)

### getExecutionParameters

    public java.util.ArrayList<Field> getExecutionParameters()

### setExecutionParameters

    public void setExecutionParameters(java.util.ArrayList<Field> executionParameters)

### getGenerationParameters

    public java.util.ArrayList<Field> getGenerationParameters()

### setGenerationParameters

    public void setGenerationParameters(java.util.ArrayList<Field> generationParameters)

### addSource

    public void addSource(Resource toAdd)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addParameter

    public void addParameter(Field f)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD